Anonymous
Anonymous asked in Computers & InternetHardwarePrinters · 1 decade ago

compatible drivers for canon pixma ip1880?

drivers for windows 98 and windows ME

2 Answers

Relevance
  • 1 decade ago
    Favourite answer

    The minimum requirement for you printer is windows 2000.

    Unfortunately the driver you desire does not exist.

  • 1 decade ago

    sorry i didn't have one. I'm just looking for dribers im windows 98 Windows Me.

Still have questions? Get answers by asking now.